fig77 <- function(post=F)
{

 if(post)
  {#ps.options (colors=ps.colors.rgb[c("blue", "magenta", "cyan",
   #"green", "MediumBlue", "red", "black", "yellow", "blue"),])
    postscript("Fig77.ps", width=4.4, height=6, horizontal=F, pointsize=8)
  }
 else {if(dev.cur()==1) motif(); par(ask=T)}
 

 par(mfrow = c(4,1), mar=c(5,3,3,1)+0.1)
 par(mex=0.5,csi=0.11)

###########  The difference of tbill03m data    ################
 sigma <-  0.2235117
 # sqrt(var(scan(".tbill03d")))
 tb <- matrix(scan(".tbill03d.out",skip=7,n=1005), ncol=5, byrow=T)
 plot(tb[,1], exp(tb[,5]), xlab="",ylab="", type="l",lwd=2, ylim=c(0,0.06))
 title("Spectral density for difference series", "(a)")
 lines(tb[,1], exp(log(sigma^2/2/pi) + 1.96*tb[,4]/pi^2*6), lty=2)
 lines(tb[,1], exp(log(sigma^2/2/pi) - 1.96*tb[,4]/pi^2*6),lty=2)
 lines(tb[,1], exp(log(sigma^2/2/pi) + 2.94*tb[,4]/pi^2*6), lwd=0.5)
 lines(tb[,1], exp(log(sigma^2/2/pi) - 2.94*tb[,4]/pi^2*6), lwd=0.5)

########### The difference of tbill03m upto "10/05/1979" #####
sigma <- 0.1722151
 tb <- matrix(scan(".tbill03d1.out",skip=7,n=1005), ncol=5, byrow=T)
 plot(tb[,1], exp(tb[,5]), xlab="",ylab="", type="l",lwd=2, ylim=c(0,0.06))
 title("Spectral density for the difference before Oct. 6, 1979", "(b)")
 lines(tb[,1], exp(log(sigma^2/2/pi) + 1.96*tb[,4]/pi^2*6), lty=2)
 lines(tb[,1], exp(log(sigma^2/2/pi) - 1.96*tb[,4]/pi^2*6), lty=2)
 lines(tb[,1], exp(log(sigma^2/2/pi) + 2.94*tb[,4]/pi^2*6), lwd=0.5)
 lines(tb[,1], exp(log(sigma^2/2/pi) - 2.94*tb[,4]/pi^2*6), lwd=0.5)



########### The difference of tbill03m from "10/12/1979" #####
sigma <- 0.2650027
 tb <- matrix(scan(".tbill03d2.out",skip=7,n=1005), ncol=5, byrow=T)
 plot(tb[,1], exp(tb[,5]), xlab="",ylab="", type="l",lwd=2, ylim=c(0,0.06))
 title("Spectral density for the difference after Oct. 6, 1979", "(c)")
 lines(tb[,1], exp(log(sigma^2/2/pi) + 1.96*tb[,4]/pi^2*6), lty=2)
 lines(tb[,1], exp(log(sigma^2/2/pi) - 1.96*tb[,4]/pi^2*6),lty=2)
 lines(tb[,1], exp(log(sigma^2/2/pi) + 2.94*tb[,4]/pi^2*6), lwd=0.5)
 lines(tb[,1], exp(log(sigma^2/2/pi) - 2.94*tb[,4]/pi^2*6),lwd=0.5)

########### The difference of tbill03m upto "10/05/1979", given h #####
sigma <- 0.1722151
 tb <- matrix(scan(".tbill03d1.out2",skip=7,n=1005), ncol=5, byrow=T)
 plot(tb[,1], exp(tb[,5]), xlab="",ylab="", type="l",lwd=2, ylim=c(0,0.06))
 title("Spectra with bandwidth 0.026 for the difference before Oct.6,1979", "(d)")
 lines(tb[,1], exp(log(sigma^2/2/pi) + 1.96*tb[,4]/pi^2*6), lty=2)
 lines(tb[,1], exp(log(sigma^2/2/pi) - 1.96*tb[,4]/pi^2*6), lty=2)
 lines(tb[,1], exp(log(sigma^2/2/pi) + 2.94*tb[,4]/pi^2*6), lwd=0.5)
 lines(tb[,1], exp(log(sigma^2/2/pi) - 2.94*tb[,4]/pi^2*6), lwd=0.5)
}
